/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.geronimo.samples.javaee6.restfulorder.entities;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;


@Entity
@Table(name = "RESTFULORDER")
@NamedQueries({
    @NamedQuery(name = "Restfulorder.findAll", query = "SELECT r FROM Restfulorder r"),
    @NamedQuery(name = "Restfulorder.findById", query = "SELECT r FROM Restfulorder r WHERE r.id = :id"),
    @NamedQuery(name = "Restfulorder.findByCustomer", query = "SELECT r FROM Restfulorder r WHERE r.customer = :customer"),
    @NamedQuery(name = "Restfulorder.findBySeller", query = "SELECT r FROM Restfulorder r WHERE r.seller = :seller"),
    @NamedQuery(name = "Restfulorder.findByProductname", query = "SELECT r FROM Restfulorder r WHERE r.productname = :productname"),
    @NamedQuery(name = "Restfulorder.findByPrice", query = "SELECT r FROM Restfulorder r WHERE r.price = :price"),
    @NamedQuery(name = "Restfulorder.findByQuantity", query = "SELECT r FROM Restfulorder r WHERE r.quantity = :quantity")})
public class Restfulorder implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "ID")
    private Integer id;
    @Column(name = "CUSTOMER")
    private String customer;
    @Column(name = "SELLER")
    private String seller;
    @Column(name = "PRODUCTNAME")
    private String productname;
    @Column(name = "PRICE")
    private Double price;
    @Column(name = "QUANTITY")
    private Integer quantity;

    public Restfulorder() {
    }

    public Restfulorder(Integer id) {
        this.id = id;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCustomer() {
        return customer;
    }

    public void setCustomer(String customer) {
        this.customer = customer;
    }

    public String getSeller() {
        return seller;
    }

    public void setSeller(String seller) {
        this.seller = seller;
    }

    public String getProductname() {
        return productname;
    }

    public void setProductname(String productname) {
        this.productname = productname;
    }

    public Double getPrice() {
        return price;
    }

    public void setPrice(Double price) {
        this.price = price;
    }

    public Integer getQuantity() {
        return quantity;
    }

    public void setQuantity(Integer quantity) {
        this.quantity = quantity;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Restfulorder)) {
            return false;
        }
        Restfulorder other = (Restfulorder) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "org.apache.geronimo.samples.entities.Restfulorder[id=" + id + "]";
    }

}
